<template>
    <div v-if="!shouldHideBanner" class="fixed-bottom bg-light" style="width: 100%;">
        <div class="container">
            <div class="py-4">
                <p class="description">
                    Doet jouw hond ook alles voor koekjes? Snappen we!
                    Wat DoggyDoggy betreft, helpen cookies ons om jou een betere ervaring te bieden, 
                    websiteverkeer te analyseren, 
                    inhoud te personaliseren en gerichte advertenties weer te geven.
                    Je kunt meer lezen over ons <a class="text-underline" href="/privacy#cookiebeleid">cookiebeleid</a>
                    in ons Privacy Statement.
                    <!-- Als je niet van cookies houdt, is dat prima - je kunt het ons laten weten door op de instellingen knop
                    te klikken. -->
                </p>

                <div class="d-flex justify-content-end">
                    <button class="btn btn-link mr-2" @click="saveCookiePreference(false)">Weigeren</button>
                    <button class="btn btn-primary" @click="saveCookiePreference(true)">Aanvaarden</button>
                </div>
            </div>

        </div>
    </div>
</template>

<script>
module.exports = {
    data() {
        return {
            shouldHideBanner: false,
            GOOGLE_ANALYTICS_ID: 'G-ZZSXGCH68N',
            FACEBOOK_PIXEL_ID: '1566246476775632'
        }
    },
    computed: {},
    methods: {
        saveCookiePreference(shouldSave) {
            this.shouldHideBanner = true;
            localStorage.cookieAccepted = !!shouldSave;
            this.initGoogleAnalytics();
            this.initFacebookPixel();
        },
        initGoogleAnalytics() {
            if (localStorage.cookieAccepted === undefined || localStorage.cookieAccepted === 'false') {
                return;
            }


            let recaptchaScript = document.createElement('script')
            recaptchaScript.setAttribute('src', `https://www.googletagmanager.com/gtag/js?id=${this.GOOGLE_ANALYTICS_ID}`);
            document.head.appendChild(recaptchaScript)

            window.dataLayer = window.dataLayer || [];

            function gtag() {
                dataLayer.push(arguments);
            }

            gtag('js', new Date());
            gtag('config', `${this.GOOGLE_ANALYTICS_ID}`);

            window.gtag = gtag;
        },
        initFacebookPixel() {
            if (localStorage.cookieAccepted === undefined || localStorage.cookieAccepted === 'false') {
                return;
            }

            !function (f, b, e, v, n, t, s) {
                if (f.fbq) return;
                n = f.fbq = function () {
                    n.callMethod ?
                        n.callMethod.apply(n, arguments) : n.queue.push(arguments)
                };
                if (!f._fbq) f._fbq = n;
                n.push = n;
                n.loaded = !0;
                n.version = '2.0';
                n.queue = [];
                t = b.createElement(e);
                t.async = !0;
                t.src = v;
                s = b.getElementsByTagName(e)[0];
                s.parentNode.insertBefore(t, s)
            }(window, document, 'script',
                'https://connect.facebook.net/en_US/fbevents.js');
            fbq('init', `${this.FACEBOOK_PIXEL_ID}`);
            fbq('track', 'PageView');
        }
    },
    components: {
    },
    watch: {},
    created() {
        this.shouldHideBanner = localStorage.cookieAccepted !== undefined;
        this.initGoogleAnalytics();
        this.initFacebookPixel();
    },
    mounted() {
    }
}
</script>

<style scoped></style>